\begin{tikzpicture}[scale=0.6, every node/.style={transform shape}]
    \umlclass[type=abstract]{AbstractGame}{}
		{
    		\textit{+ move()} \\
		}
    \umlclass[type=interface,x = 10.5]{PlayerInterface}
    {
      \code{name} : \code{string}\\
      \code{score} : \code{int}
    }
    {
        \textit{+ get\_move() : Move}
    }	
	
	\umlclass[y = -4]{SSPGame}{
		    \code{p1} : \code{Player} \\
		    \code{p2} : \code{Player} \\
		}
		{
    		\code{+ move()} \\
	    	\code{- get\_result(m1 : Move, m2: Move) : Result} \\
		    \code{- show\_result(res : Result)} \\
		}
    
    \umlclass[x = 8, y = -4]{HumanPlayer}
    {
    }
    {
        \code{+ get\_move() : Move}
    }
    
    \umlclass[x = 13, y = -4]{AiPlayer}
    {
    }
    {
        \code{+ get\_move() : Move}
    }
	
	\umlcompo{SSPGame}{PlayerInterface}
	\umlinherit{SSPGame}{AbstractGame}
	\umlinherit{HumanPlayer}{PlayerInterface}
	\umlinherit{AiPlayer}{PlayerInterface}
	
	
	
\end{tikzpicture}